curl --request POST \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/configuration/fields \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"fieldDefinition": {
"className": "InputField",
"key": "policyState",
"path": "policyState"
},
"entityName": "policies"
}
'{
"id": "550e8400-e29b-41d4-a716-446655440100"
}Configuration Fields
Create Configuration Field
Creates a new configuration field and associates it with the specified entity type.
Allowed entity names: events, insureds, policies
Allowed field class names: InputField, SelectField, DateField, RadioSelect, ExportResolvedField
The field key cannot be companyId (reserved).
Required permission: company:update
POST
/
api
/
external
/
companies
/
{companyId}
/
configuration
/
fields
curl --request POST \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/configuration/fields \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"fieldDefinition": {
"className": "InputField",
"key": "policyState",
"path": "policyState"
},
"entityName": "policies"
}
'{
"id": "550e8400-e29b-41d4-a716-446655440100"
}Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Body
application/json
Response
Configuration field created successfully
The ID of the created configuration field
Was this page helpful?
